export default {
    set(state, {
        user
    }) {
        Vue.set(state, 'user', user);
    },
    setLogged(state, {
        logged
    }) {
        Vue.set(state, 'logged', logged);
    },
    setChecked(state, {
        val
    }) {
        Vue.set(state, 'checked', val);
    },
    setBearer(state, {
        bearer
    }) {
        Vue.set(state, 'config', {
            headers: {
                'Authorization': "Bearer " + bearer
            }
        });
        Vue.set(state, 'bearer', bearer);
    },

    setSSOApi(state, {
        api
    }) {
        Vue.set(state, 'sso_api', api);
    },

    setAccountApi(state, {
        api
    }) {
        Vue.set(state, 'account_api', api);
    },

    setAcceptTermsConditions(state, {
        terms
    }) {
        Vue.set(state.profile, 'profileAcceptTermsConditions', terms);
    },

    setOptOutMarketing(state, {
        opt_in
    }) {
        Vue.set(state.profile, 'profileOptOutMarketing', opt_in);
    },

    setSSOInfo(state, {
        data
    }) {
        Vue.set(state, 'logged', true);
        //Get's from SSO if profile is inexistent
        Vue.set(state, 'user', data);
        Vue.set(state.profile, 'uuid', data.uuid);
        Vue.set(state.profile, 'fname', data.first_name);
        Vue.set(state.profile, 'lname', data.last_name);
        Vue.set(state.profile, 'email', data.email);
        Vue.set(state.profile, 'ssoEmail', data.email);
    },

    setProfileInfo(state, {
        data
    }) {
        if (data.id != undefined) {
            Vue.set(state.profile, 'id', data.id);
            Vue.set(state.profile, 'uuid', data.uuid);
            Vue.set(state.profile, 'fname', data.first_name);
            Vue.set(state.profile, 'mname', data.middle_name);
            Vue.set(state.profile, 'lname', data.last_name);
            Vue.set(state.profile, 'fullname', data.full_name);
            Vue.set(state.profile, 'gender', data.gender);
            Vue.set(state.profile, 'profileAcceptTermsConditions', data.meta.accepted_terms_and_conditions || 0);
            Vue.set(state.profile, 'profileOptOutMarketing', data.meta.email_opt_in || 0);
            Vue.set(state.profile, 'hash', data.hash);
            Vue.set(state.profile, 'address', data.address);
            Vue.set(state.profile, 'city_id', data.address.primary.city_id);

            if (_.get(data, 'user_content.about')) {
                Vue.set(state.profile, 'about', data.user_content.about);
            }

            if (_.get(data, 'verification.is_verified')) {
                Vue.set(state.profile, 'verified', data.user_verification.is_verified);
            }
            if (_.get(data, 'verification.verification_status')) {
                //Vue.set(state.profile, 'verified', JSON.parse(profile.user_verification.verification).verification_status);
            }
            if (_.get(data, "user_media_avatar.url")) {
                Vue.set(state.profile, 'avatarUrl', data.user_media_avatar.url);
            }
            if (_.get(data, "verified")) {
                Vue.set(state.profile, 'verified', data.verified);
            }

            if (state.profile.status != '') {
                Vue.set(state.profile, 'status', true);
            }
            Vue.set(state, 'info', data);
        }
    },

    setReferredUsers(state, {
        data
    }) {
        if (_.has(data, 'data')) {
            Vue.set(state, 'invites', data.data);
        } else {
            Vue.set(state, 'invites', []);
        }
    },

    setWallets(state, wallets) {
        Vue.set(state, 'wallets', wallets);
    },

    storeAppUser(state, {
        app_user
    }) {
        Vue.set(state, 'app_user', app_user);
    },
}
